<script setup lang="ts">
import { onLaunch, onShow, onHide } from "@dcloudio/uni-app";
onLaunch(() => {
	console.log("App Launch");
});
onShow(() => {
	console.log("App Show");
});
onHide(() => {
	console.log("App Hide");
});

</script>
<style lang="scss">

:root,
page {
	--wot-color-theme: #217891 !important;
}

.wd-toast {
	background-color: #fff !important;
	color: #333 !important;
}

.content {
	width: 100%;
	min-height: 100dvh;
	max-width: auto;
	min-height: calc(100vh - env(safe-area-inset-bottom) - 50px);
	min-height: calc(100vh - constant(safe-area-inset-bottom) - 50px);
	overflow-y: hidden;
	background-color: #f3f4f6;
}

.flex-row {
	display: flex;
	flex-flow: row nowrap;
}

.flex-col {
	display: flex;
	flex-flow: column nowrap;
}

.gap-2 {
	gap: 16rpx
}

.gap-4 {
	gap: 32rpx
}

// .wd-message-box__content {
// 	text-align: left !important;
// }
</style>
